/* override some milligram styles */
input[type='email']:focus, input[type='number']:focus, input[type='password']:focus, input[type='search']:focus, input[type='tel']:focus, input[type='text']:focus, input[type='url']:focus, input[type='color']:focus, input[type='date']:focus, input[type='month']:focus, input[type='week']:focus, input[type='datetime']:focus, input[type='datetime-local']:focus, input:not([type]):focus, textarea:focus, select:focus
{
	border-color: #824C9E;
	box-shadow: 1px 1px #501c65 inset;
}

input[type='email'], input[type='number'], input[type='password'], input[type='search'], input[type='tel'], input[type='text'], input[type='url'], input[type='color'], input[type='date'], input[type='month'], input[type='week'], input[type='datetime'], input[type='datetime-local'], input:not([type]), textarea, select
{
	background-color: #f8f8f8;
	border: 0.1rem solid #ecdbff;
}

.button, button, input[type='button'], input[type='reset'], input[type='submit'] {
	background-color: #824C9E;
	border: 0.1rem solid #824C9E;
}

.button:focus, .button:hover, button:focus, button:hover, input[type='button']:focus, input[type='button']:hover, input[type='reset']:focus, input[type='reset']:hover, input[type='submit']:focus, input[type='submit']:hover {
	background-color: #501c65;
	border: 0.1rem solid #ecdbff;
	border-color: #ecdbff;
	color: yellow;
}

.webui_center {
	text-align: center;
}

.webui_shadowed {
	display: inline-block;
	background-color: white;
	border: 1px solid #824C9E;
	box-shadow: 5px 5px 5px #501c65;
	padding: 6px;
}
.webui_inshadow {
	padding: 3px;
	background-color: #f8f8f8;
	border: 1px solid #824C9E;
	box-shadow: 0 1px #501c65 inset;
}
.webui_round {
	border-radius: 6px;
}

.webui_insecure,
.webui_secure {
	display: none;
}
.webui_insecure.show,
.webui_secure.show {
	display: block;
}
ul.webui_menu {
	list-style-type: none;
	margin: 0;
	padding: 0;
	height: 54px;
	background-color: #824C9E;

}

.webui_menu .webui_submenu.right div {
	right: 0px;
}

.webui_menu li {
	float: left;
	margin-bottom: 0;
}

.webui_menu li.right {
	float: right;
}

.webui_menu li a,
.webui_menu .webui_submenu > a:first-child {
	display: inline-block;
	color: white;
	text-align: center;
	padding: 14px 16px;
	text-decoration: none;
}

.webui_menu li a:hover,
.webui_menu .webui_submenu:hover > a:first-child {
	color: yellow;
	background-color: #501c65;
}

.webui_menu li.webui_submenu {
	display: inline-block;
	position: relative;
	overflow: visible;
}

.webui_menu .webui_submenu div {
	display: none;
	position: absolute;
	background-color: #501c65;
	min-width: 160px;
	box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
	z-index: 1;
	max-height: 500px;
	overflow-y: auto;
}

.webui_menu .webui_submenu div a {
	background-color: #824C9E;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
	text-align: left;
	cursor: pointer;
}

.webui_menu .webui_submenu div a:hover {
	color: yellow;
	background-color: #501c65;
}

.webui_hamburger {
	float: right !important;
	position: absolute;
	right: 0;
	z-index: 9999;
}

.webui_hamburger a {
	cursor: pointer;
}

.webui_hamburger_title, .webui-mobile-title .opened {
	display: none;
}

.webui_menu .webui-mobile-title .opened {
	display: none;
}

.webui_menu.webui_menu_opened .webui-mobile-title .opened {
	display: block;
}

.webui_menu.webui_menu_opened .webui-mobile-title .closed {
	display: none;
}

@media screen and (min-width: 769px) {
	.webui_menu .webui_submenu:hover div {
		display: block;
	}
	.webui_hamburger {
		display: none !important;
	}
	.webui_mobile_only {
		display: none;
	}
}
/* When the screen is less than 768 pixels wide */
@media screen and (max-width: 768px) {
	
	#topnav {
		z-index: 9999;
	}
	
	.webui_desktop_only {
		display: none;
	}
	
	.webui_hamburger_title {
		display: block;
		position: absolute;
		top: 0
	}
	
	.webui_mobile_w_100 {
		width: 100%;
	}
	
	.webui_hamburger {
		display: inline-block !important;
	}
	
	.webui_menu li.right {
		float: left;
	}
	
	.webui_menu:not(.webui_menu_opened) li:not(:nth-child(2)):not(.webui_hamburger) {
		display: none;
	}
	
	.webui_menu li:not(:nth-child(2)):not(.webui_hamburger),
	.webui_menu li:not(:nth-child(2)):not(.webui_hamburger) > a {
		background-color: #824C9E;
		width: 100%;
	}
	
	.webui_menu.webui_menu_opened li:not(.webui_hamburger),
	.webui_menu.webui_menu_opened li:not(.webui_hamburger) > a {
		width: 100%;
	}
	
	.webui_menu.webui_menu_opened li:not(:nth-child(2)):not(.webui_hamburger) {
		display: block;
	}
	
	.webui_menu .webui_submenu div {
		position: relative;
	}
	
	.webui_menu.webui_menu_opened .webui_menu_opened div {
		display: block;
	}
}
table.webui_resource tr.new td,
table.webui_resource_subtable tr.new td
{
	text-align: center;
}

.webui_resource button,
.webui_resource input[type=submit] {
	background-color: #824C9E;
}
.webui_resource button:hover,
.webui_resource input[type=submit]:hover {
	background-color: #824C9E;
	color: yellow;
}

.webui_resource button.delete,
.webui_resource input[type=submit].delete,
.webui_resource_subtable button.delete {
	background-color: red;
}
.webui_resource button.delete:hover,
.webui_resource input[type=submit].delete:hover,
.webui_resource_subtable button.delete:hover {
	background-color: red;
	color: yellow;
}

.webui_logging td, .webui_event_list td {
	font-size: 9pt;
}
.webui_logging .CRITICAL td {
	color: black;
	background-color: red;
}
.webui_logging .ERROR td {
	color: black;
	background-color: red;
}
.webui_logging .WARNING td {
	color: black;
	background-color: yellow;
}
.webui_logging .INFO td {
	color: white;
	background-color: #FF00FF;
}
.webui_logging .DEBUG td {
	color: white;
	background-color: #800080;
}
.webui_logging td, .webui_event_list td {
	padding: 3px;
}
.webui_logging td pre {
	border: 0;
	margin: 0;
	background-color: transparent;
}
.webui_logging .asctime {
	white-space: nowrap;
}

#webui_error {
	color: black;
	background-color: red;
	text-align: center;
}
#webui_error:empty {
	display: none;
}

.webui_resource_subtable {
	display: none;
}

body[webui_edit_mode="existing"] .webui_resource_subtable {
	display: block;
}

th .search-icon {
	color: #824C9E;
	border-radius: 20%;
	cursor: pointer;
	margin-left: 5px;
	font-size: 32px;
}

.hide, .search-hide, .d-none {
	display: none !important;
}

.pagination-outer {
	margin: 5px;
}
.pagination-outer a {
	margin: 0 5px;
}

.container {
	/* override milligram default(s) */
	max-width: 100%;
}

.webui_resource td button[class="edit"],
.webui_resource td button[class="delete"] {
	/* override milligram default(s) */
	margin-bottom: inherit;
}

.webui_resource .selectr-container {
	margin-top: 1em;
}

